#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# glib-2.0 (jabber, msn)
if( (BUILD_KOPETE_PROTOCOL_JABBER AND WITH_JINGLE) OR (BUILD_KOPETE_PROTOCOL_MSN AND WITH_WEBCAM) )
  pkg_search_module( GLIB2 glib-2.0 )
  if( GLIB2_FOUND )
    set( HAVE_GLIB 1 CACHE INTERNAL "" FORCE )
  else( )
    tde_message_fatal( "glib-2.0 is required, but was not found on your system" )
  endif( )
endif( )

# -- Check for libv4l1-videodev.h presence --------------------
CHECK_INCLUDE_FILE ( "libv4l1-videodev.h" HAVE_LIBV4L1_VIDEODEV_H )
if ( HAVE_LIBV4L1_VIDEODEV_H )
  add_definitions( -DHAVE_LIBV4L1_VIDEODEV_H )
endif ( )
# -- End libv4l1-videodev.h ----------------------------------------------

# -- Check for linux/videodev.h presence --------------------
CHECK_INCLUDE_FILE ( "linux/videodev.h" HAVE_LINUX_VIDEODEV_H )
if ( HAVE_LINUX_VIDEODEV_H )
  add_definitions( -DHAVE_LINUX_VIDEODEV_H )
endif ( )
# -- End linux-videodev.h ----------------------------------------------

